# System Mediator: The Workspaces Intervention Utility

Sometimes it becomes necessary to manually intervene in a running request - either
capability or workflow. System Mediator is meant to provide easy access for such
interventions.

Current interventions include:
- manually forcing a workflow to fail/abort

Future intended interventions include:
- manually submitting a created workflow to condor (sometimes errors can cause
  the system to drop this step)

## Usage

```shell
**************************************
* WELCOME TO THE WS SYSTEM MEDIATOR! *
**************************************
usage: mediator [-h] [--force-fail FORCE_FAIL]

System Mediator allows intervention in currently processing workspaces jobs

optional arguments:
  -h, --help              show this help message and exit
  --force-fail FORCE_FAIL Force a specified workflow request into the failed state. Requires a workflow request id.

```
