"""add results_dir to workflow request table

Revision ID: 21dc67216082
Revises: 57c38b5f012e
Create Date: 2020-12-14 13:17:19.958781

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '21dc67216082'
down_revision = '57c38b5f012e'
branch_labels = None
depends_on = None


def upgrade():
    op.add_column(
        "workflow_requests",
        sa.Column("results_dir", sa.String, comment="directory where workflow output is placed"),
    )


def downgrade():
    op.drop_column("workflow_requests", "results_dir")
